%if 0%{?fedora} <= 17
    %global _udevrulesdir /usr/lib/udev/rules.d
%endif

%global commit 8c6b20a487b36a7fa9679d55a1375d20f72a0b92
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           heimdall
Version:        1.4
Release:        0.3.rc2%{?dist}
Summary:        Flash firmware on to Samsung Galaxy S devices
Group:          Development/Tools
License:        MIT
URL:            http://www.glassechidna.com.au/products/%{name}/
Source0:        https://github.com/Benjamin-Dobell/Heimdall/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source2:        %{name}.desktop
Patch2:         %{name}-usr_udev_rules.patch

BuildRequires:  libusb1-devel >= 1.0.8
BuildRequires:  qt-devel
BuildRequires:  desktop-file-utils

%description
Heimdall is a cross-platform open-source utility to flash firmware
on to Samsung Galaxy S devices

%package frontend
Summary:        Qt4 based frontend for %{name}
Group:          Development/Tools
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description frontend
Heimdall is a cross-platform open-source utility to flash firmware
on to Samsung Galaxy S devices

This package provides Qt4 based frontend for %{name}

%prep
%setup -qn Heimdall-%{commit}
%patch2 -p1

#fix EOLs
sed -i -e 's/\r$//g' Linux/README

#fix frontend install
sed -i -e 's|/usr/local/bin|%{_bindir}|g' heimdall-frontend/heimdall-frontend.pro

#remove unneeded files
rm -rf libusbx-1.0
rm -rf Win32
rm -rf heimdall-frontend/lib/win32
rm -rf heimdall-frontend/include
rm -rf heimdall/autom4te.cache
rm -rf libpit/autom4te.cache
rm -rf OSX
rm -f heimdall/postremove-pak
rm -f heimdall/postinstall-pak

%build
CFLAGS="%{optflags}"
CXXFLAGS="%{optflags}"
LDFLAGS="%{optflags}"
export CFLAGS CXXFLAGS LDFLAGS
pushd libpit
    %configure
    make %{?_smp_mflags}
popd
pushd heimdall
    %configure
    make %{?_smp_mflags}
popd
pushd heimdall-frontend
    qmake-qt4 heimdall-frontend.pro 
    make %{?_smp_mflags}
popd
 

%install
pushd heimdall
    make DESTDIR=%{buildroot} INSTALL="install -p" CP="cp -p" install
popd

pushd heimdall-frontend
    make INSTALL_ROOT=%{buildroot} install
popd

desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications \
    %{SOURCE2}


%files
%doc Linux/README heimdall/LICENSE
%{_bindir}/%{name}
%{_udevrulesdir}/60-heimdall-galaxy-s.rules

%files frontend
%doc Linux/README heimdall/LICENSE
%{_bindir}/%{name}-frontend
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Feb 25 2013 Juan Orti Alcaine <j.orti.alcaine@gmail.com> - 1.4-0.3.rc2
- Add _udevrulesdir for f17

* Mon Feb 25 2013 Juan Orti Alcaine <j.orti.alcaine@gmail.com> - 1.4-0.2.rc2
- Change BuildRequires to libusb1-devel

* Fri Feb 22 2013 Juan Orti Alcaine <j.orti.alcaine@gmail.com> - 1.4-0.1.rc2
- Bump version to 1.4rc2
- Use _udevrulesdir macro and add patch to modify udev rules dir in Makefile
- Patch to avoid udev service restart is no longer necessary
- Change dependency to libusbx
- Change group of heimdall-frontend

* Tue Oct 30 2012 Juan Orti Alcaine <j.orti.alcaine@gmail.com> - 1.3.2-3
- Don't use autogen.sh
- Improve heimdall-remove-udev-service-restart.patch
- Remove unneeded files

* Tue Oct 30 2012 Juan Orti Alcaine <j.orti.alcaine@gmail.com> - 1.3.2-2
- Remove dos2unix dependency

* Sun Oct 28 2012 Juan Orti Alcaine <j.orti.alcaine@gmail.com> - 1.3.2-1
- Bump version to 1.3.2
- Add missing dependencies
- Spec file clean up

* Tue Sep 18 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 1.3.1-1
- Initial packaging
